services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  NEWEGO\NeBase\:
    resource: '../Classes/*'

  NEWEGO\NeBase\Command\ColumnsCommand:
    tags:
      - name: 'console.command'
        command: 'ne_base:columns'
        description: 'Quickly adds required tt_content columns in one statement.'
        schedulable: false
  NEWEGO\NeBase\Command\DeleteBrokenContainerChildrenCommand:
    tags:
      - name: 'console.command'
        command: 'ne_base:deletebrokencontainerchildren'
        description: 'Deletes broken container children that were translated in "Copy"-mode.'
        schedulable: false
  NEWEGO\NeBase\Command\FixFlexformInlineLanguageCommand:
    tags:
      - name: 'console.command'
        command: 'ne_base:fixflexforminlinelanguage'
        description: 'Fixes flexform inline language.'
        schedulable: false
  NEWEGO\NeBase\Command\FixNonContainerElementsCommand:
    tags:
      - name: 'console.command'
        command: 'ne_base:fixnoncontainerelements'
        description: 'Fixes non container elements.'
        schedulable: false
  NEWEGO\NeBase\Command\FixSortingFieldCommand:
    tags:
      - name: 'console.command'
        command: 'ne_base:fixsortingfield'
        description: 'Fixes sorting field in section elements.'
        schedulable: false
  NEWEGO\NeBase\Command\RemoveBlacklistedElementsCommand:
    tags:
      - name: 'console.command'
        command: 'ne_base:removeblacklistedelements'
        description: 'Removes blacklisted elements.'
        schedulable: false
  NEWEGO\NeBase\Command\TransformCcesCommand:
    tags:
      - name: 'console.command'
        command: 'ne_base:transformcces'
        description: 'Transforms old CCEs to new ones.'
        schedulable: false
  NEWEGO\NeBase\Command\TransformCommand:
    tags:
      - name: 'console.command'
        command: 'ne_base:transform'
        description: 'Transforms flux FCEs to CCEs.'
        schedulable: false
  NEWEGO\NeBase\Command\TransformFormsCommand:
    tags:
      - name: 'console.command'
        command: 'ne_base:transformforms'
        description: 'Transforms forms of ne_forms to TYPO forms.'
        schedulable: false

  NEWEGO\NeBase\Utility\CceCodeGenerator:
    tags:
      - name: event.listener
        identifier: 'ne-base/cceCodeGeneratorListener'
        method: 'generateSql'
        event: TYPO3\CMS\Core\Database\Event\AlterTableDefinitionStatementsEvent
  NEWEGO\NeBase\HrefLang\HrefLangGenerator:
    tags:
      - name: event.listener
        identifier: 'ne-base/neHreflangGenerator'
        after: 'typo3-seo/hreflangGenerator'
        event: TYPO3\CMS\Frontend\Event\ModifyHrefLangTagsEvent
  NEWEGO\NeBase\RecordList\DetailPreview:
    tags:
      - name: event.listener
        identifier: 'ne-base/recordListDetailpreview'
        event: TYPO3\CMS\Recordlist\Event\ModifyRecordListRecordActionsEvent